curl --request POST \
--url https://api.virtuoussoftware.com/api/Campaign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>",
"projectTypeNames": [
"<string>",
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>',
projectTypeNames: ['<string>', '<string>']
})
};
fetch('https://api.virtuoussoftware.com/api/Campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Campaign"
payload = {
"name": "<string>",
"startDate": "<date>",
"endDate": "<date>",
"description": "<string>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>",
"projectTypeNames": ["<string>", "<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Campaign");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"startDate\": \"<date>\",\n \"endDate\": \"<date>\",\n \"description\": \"<string>\",\n \"givingGoal\": \"<double>\",\n \"newGiverGoal\": \"<integer>\",\n \"totalGiftGoal\": \"<integer>\",\n \"hashtag\": \"<string>\",\n \"googleAnalyticsViewId\": \"<integer>\",\n \"googleAnalyticsCampaign\": \"<string>\",\n \"ownerId\": \"<integer>\",\n \"projectTypeNames\": [\n \"<string>\",\n \"<string>\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Campaign';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
startDate: '<date>',
endDate: '<date>',
description: '<string>',
givingGoal: '<double>',
newGiverGoal: '<integer>',
totalGiftGoal: '<integer>',
hashtag: '<string>',
googleAnalyticsViewId: '<integer>',
googleAnalyticsCampaign: '<string>',
ownerId: '<integer>',
projectTypeNames: ['<string>', '<string>']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"campaignId": "<integer>",
"name": "<string>",
"description": "<string>",
"startDateTimeUtc": "<dateTime>",
"endDateTimeUtc": "<dateTime>",
"givingGoal": "<double>",
"newGiverGoal": "<integer>",
"totalGiftGoal": "<integer>",
"hashtag": "<string>",
"googleAnalyticsViewId": "<integer>",
"googleAnalyticsCampaign": "<string>",
"ownerId": "<integer>",
"isArchived": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create a Campaign
Creates a campaign. name must be unique within the organization, and ownerId must resolve to an organization user — use the Get Current Organization endpoint to look up the id of the API user. Optionally pass projectTypeNames to auto-create a communication for each recognized channel type on the new campaign; unrecognized names are skipped.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the campaign. Must be unique within the organization.
The start date of the campaign, in the organization's local time zone.
The end date of the campaign, in the organization's local time zone.
The identifier of the organization user who owns the campaign. Use the Get Current Organization endpoint to look up the id of the API user.
A free-text description of the campaign.
The dollar amount the campaign aims to raise. Defaults to 0.
The number of new givers the campaign aims to acquire. Defaults to 0.
The number of gifts the campaign aims to receive. Defaults to 0.
The hashtag associated with the campaign.
The Google Analytics view identifier to track the campaign with.
The Google Analytics campaign name to track the campaign with.
The names of communication channel types to automatically create a communication for on the new campaign. Names that don't match a configured channel type are ignored.
Response
OK
The display name of the record.
The free-text description stored on the record.
The hashtag associated with the campaign.
The Google Analytics view identifier tracking the campaign.
The Google Analytics campaign name tracking the campaign.
The identifier of the organization user who owns the campaign.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Was this page helpful?